V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
breadykidliu
V2EX  ›  程序员

Springboot 出 3.0 了,有公司跃跃欲试的吗?

  •  
  •   breadykidliu · 256 天前 · 4475 次点击
    这是一个创建于 256 天前的主题,其中的信息可能已经有所发展或是发生改变。

    昨天官方发了博客:官方博客
    对于这句baseline from Java 8 to Java 17我还是比较激动的,回家赶紧 openJDK17 下起来

    30 条回复    2022-01-22 13:30:34 +08:00
    pengtdyd
        1
    pengtdyd  
       256 天前
    jdk18 都快出来了,你 out 了
    efaun
        2
    efaun  
       256 天前   ❤️ 1
    你更任你更, 我用 Java 8
    sadfQED2
        3
    sadfQED2  
       256 天前 via Android
    公司依旧 jdk8 稳如老狗,天王老子来了也是 8
    iColdCat
        4
    iColdCat  
       256 天前
    java8 yyds
    Chism
        5
    Chism  
       256 天前
    Springboot 3.0 依然可以用 J8 吗?
    industryhive
        6
    industryhive  
       256 天前
    卧槽,不是说 2022 年第三季度出吗,怎么现在就出了,我得去试试了
    NPC666
        7
    NPC666  
       256 天前 via Android   ❤️ 4
    PDX
        8
    PDX  
       256 天前 via iPhone
    @NPC666 好用吗
    sihaozi
        9
    sihaozi  
       256 天前
    再过两年也还是继续 jdk8 一把梭
    someonedeng
        10
    someonedeng  
       256 天前
    spring 能主动适配挺好的
    tinyuu
        11
    tinyuu  
       256 天前
    期待 17 """ 多行文本 """
    jjianwen68
        12
    jjianwen68  
       256 天前
    才 m1 ,ga 是要到三季度出。个人可以用,公司应该不可能用的
    echo1937
        13
    echo1937  
       256 天前
    @industryhive #6 We are planning to release a new milestone of Spring Boot 3.0 every two months. M2 should arrive on March 24 and we are planning on a GA release in late November.

    还没有 GA
    jzk
        14
    jzk  
       256 天前
    Minimum Requirements Changes
    Spring Boot 3.0 requires Java 17 as a minimum version
    Jinnyu
        15
    Jinnyu  
       256 天前
    已经在生产环境用 Spring Boot 2.6.2 +GraaLVM 17 了
    目前和使用 JDK8 没什么区别

    等 Spring Boot 3 出正式版 全量适配切过去
    hun2008hun
        16
    hun2008hun  
       256 天前
    @Jinnyu 和 jdk 比怎么样? 用 native image 了么?
    zhouyou457
        17
    zhouyou457  
       256 天前
    已经在多个线上小项目中使用了 jdk17 ,甚至躲过了 log4j 的漏洞。。

    目前未发现兼容性问题
    Jinnyu
        18
    Jinnyu  
       256 天前
    @hun2008hun #16
    没用 native image 没需求
    只在某出行服务的核心数据源服务使用的, 客户端 SDK 还是基于 8 搞的 (依赖方死守 8 不升级).
    之前用 openjdk8 stw 在 10ms 上下, 换了之后大概在 4ms 上下.
    NPC666
        19
    NPC666  
       256 天前 via Android
    @PDX 语法糖写起来非常舒服和方便,启动也是毫秒级,不需要各种 JVM 调优,各种意义上的 Java++。就是轮子没 Java 多,不过该有的都有。
    canbingzt
        20
    canbingzt  
       256 天前
    Spring Boot 3.0 requires Java 17 as a minimum version and Spring Framework 6. Applications built with Gradle require Gradle 7.3 or later.
    zachlhb
        21
    zachlhb  
       256 天前   ❤️ 1
    @NPC666 是的,.net core 现在非常不错的,搭配 Furion 框架,开发说是绝对没有问题的,java 其实就赢在生态上,现在国内搞.net core 的越来越多,等生态慢慢起来,基本就没 java 啥事了
    x940727
        22
    x940727  
       256 天前
    @zachlhb 生态起来还要多少年? 20 年还是 30 年?君不见 Go 的生态也是发展了十几年,这还是 Google 在背后大力推动的结果。
    zhangchongjie
        23
    zhangchongjie  
       256 天前
    电商都没啥搞头了,都打算转型了
    kidonng
        24
    kidonng  
       256 天前 via Android
    @efaun 有 IE6 那味了
    SuperManNoPain
        25
    SuperManNoPain  
       256 天前
    回家玩玩
    justNoBody
        26
    justNoBody  
       256 天前
    看了一下描述,迁移的话,修改的地方还挺多,如果是新做还有一点点可能性吧。
    https://spring.io/blog/2022/01/20/spring-boot-3-0-0-m1-is-now-available
    lawler
        27
    lawler  
       255 天前
    也是看官方说 22 年第三季度才出,就等着后半年换框架了。现在这。。。还是等俩月稳定了吧。

    @tinyuu #11 多行文本 11 就支持了.line() 。如果指文本块的话,那就是 13 和之后的版本了。
    BQsummer
        28
    BQsummer  
       255 天前 via Android
    说 1.8 的,前几年喊 1.6 的,嘴和你们一样硬
    EscYezi
        29
    EscYezi  
       255 天前 via iPhone
    公司还在用 springboot1.4🥱
    EscYezi
        30
    EscYezi  
       255 天前 via iPhone
    差了一点,是 1.5.4
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1949 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 48ms · UTC 10:52 · PVG 18:52 · LAX 03:52 · JFK 06:52
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.